%global timestamp %(date +%%Y%%m%%d%%H%%M%%S)

Name:           pcsx2-qt-git
Version:        %{timestamp}
Release:        3%{?dist}
Summary:        PCSX2 - The Playstation 2 Emulator (Git Version)

License:        LGPLv2.1, LGPLv3, GPLv2, GPLv3
URL:            https://pcsx2.net/

BuildRequires:  git
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  alsa-lib-devel
BuildRequires:  libpcap-devel
BuildRequires:  libxml2-devel
BuildRequires:  freetype-devel
BuildRequires:  gettext
BuildRequires:  libpng-devel
BuildRequires:  zlib-devel
BuildRequires:  xz-devel
BuildRequires:  portaudio-devel
BuildRequires:  SDL2-devel
#BuildRequires:  gtk3-devel
BuildRequires:  soundtouch-devel
BuildRequires:  libaio-devel
BuildRequires:  systemd-devel
#BuildRequires:  wxGTK3-devel
BuildRequires:  fmt-devel
BuildRequires:  yaml-cpp-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  qt6-qtbase-devel
BuildRequires:  qt6-qttools-devel
BuildRequires:  qt6-qtbase-private-devel
BuildRequires:  wayland-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libzip-devel
BuildRequires:  libzip-tools
BuildRequires:  doxygen

#ExclusiveArch:      i686

Obsoletes:      pcsx2-qt


%description
PCSX2 is a free and open-source PlayStation 2 (PS2) emulator. Its purpose is to emulate the PS2's hardware, using a combination of MIPS CPU Interpreters, Recompilers and a Virtual Machine which manages hardware states and PS2 system memory. This allows you to play PS2 games on your PC, with many additional features and benefits.

%prep
%{__git} clone --depth 1 --recurse-submodules https://github.com/PCSX2/pcsx2.git ./


#%build
DESTDIR=%{?buildroot} ./build.sh \
    --release \
    --no-simd \
    --strip \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DDISABLE_SETCAP=TRUE \
    -DDISABLE_PCSX2_WRAPPER=TRUE \
    -DXDG_STD=TRUE \
    -DPACKAGE_MODE=TRUE \
    -DSDL2_API=TRUE \
    -DQT_BUILD=TRUE \
    -DWAYLAND_API=TRUE

mv $RPM_BUILD_ROOT/usr/bin/* $RPM_BUILD_ROOT/usr/share/PCSX2/
cat <<EOF > $RPM_BUILD_ROOT/usr/bin/pcsx2-qt
#!/usr/bin/env bash
/usr/share/PCSX2/pcsx2-qt
EOF
chmod +x $RPM_BUILD_ROOT/usr/bin/pcsx2-qt
sed -i 's:pcsx2:pcsx2-qt:' $RPM_BUILD_ROOT/usr/share/applications/PCSX2.desktop

%files
%license COPYING*
%doc README.md

%{_bindir}/*
%{_datadir}/*/*


%changelog
* Mon Jun 07 2022 Victor Oliveira <victor.oliveira@gmx.com>
- Removed GTK build dependencies
- Added Wayland support

* Sun Jun 06 2022 Victor Oliveira <victor.oliveira@gmx.com>
- Fixed problem with resources dir

* Fri Jun 03 2022 Victor Oliveira <victor.oliveira@gmx.com>
- First version
